diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignation.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignation.java
index 3c62ba5745..e439572da1 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignation.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignation.java
@@ -28,13 +28,12 @@ import org.hibernate.annotations.Cascade;
 import org.hibernate.annotations.CascadeType;
 import org.hibernate.envers.Audited;
 
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.reference.Reference;
 
 /**
  * The class representing a typification of one or several {@link TaxonNameBase taxon names} by a
- * {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase specimen or a figure}. All {@link TaxonNameBase taxon names}
+ * {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnit specimen or a figure}. All {@link TaxonNameBase taxon names}
  * which have a {@link Rank rank} "species aggregate" or lower can only be typified
  * by specimens. Moreover each typification by a specimen (or by a figure) has a
  * {@link SpecimenTypeDesignationStatus status} like "holotype" or "isotype".
@@ -68,7 +67,7 @@ public class SpecimenTypeDesignation extends TypeDesignationBase<SpecimenTypeDes
 	@ManyToOne(fetch = FetchType.LAZY)
 	@JoinColumn(name="typeSpecimen_id")
 	@Cascade(CascadeType.SAVE_UPDATE)
-	private DerivedUnitBase typeSpecimen;
+	private DerivedUnit typeSpecimen;
 	
 //	/**
 //	 * Creates a new specimen type designation instance
@@ -83,11 +82,11 @@ public class SpecimenTypeDesignation extends TypeDesignationBase<SpecimenTypeDes
 //	 * @param citation				the reference source for the new designation
 //	 * @param citationMicroReference	the string with the details describing the exact localisation within the reference
 //	 * @param originalNameString	the taxon name string used originally in the reference source for the new designation
-//	 * @see							#SpecimenTypeDesignation(DerivedUnitBase, TypeDesignationStatus, Reference, String, String)
+//	 * @see							#SpecimenTypeDesignation(DerivedUnit, TypeDesignationStatus, Reference, String, String)
 //	 * @see							HomotypicalGroup#addSpecimenTypeDesignation(SpecimenTypeDesignation, boolean)
-//	 * @see							occurrence.DerivedUnitBase
+//	 * @see							occurrence.DerivedUnit
 //	 */
-//	protected static SpecimenTypeDesignation NewInstance2(DerivedUnitBase specimen, TypeDesignationStatus status,
+//	protected static SpecimenTypeDesignation NewInstance2(DerivedUnit specimen, TypeDesignationStatus status,
 //			Reference citation, String citationMicroReference, String originalNameString){
 //		SpecimenTypeDesignation specTypeDesig = new SpecimenTypeDesignation(specimen, status, citation, citationMicroReference, originalNameString);
 //		return specTypeDesig;
@@ -98,7 +97,7 @@ public class SpecimenTypeDesignation extends TypeDesignationBase<SpecimenTypeDes
 	/** 
 	 * Class constructor: creates a new empty specimen type designation.
 	 * 
-	 * @see	#SpecimenTypeDesignation(DerivedUnitBase, SpecimenTypeDesignationStatus,
+	 * @see	#SpecimenTypeDesignation(DerivedUnit, SpecimenTypeDesignationStatus,
 	 * Reference, String, String, boolean)
 	 */
 	protected SpecimenTypeDesignation(){
@@ -127,9 +126,9 @@ public class SpecimenTypeDesignation extends TypeDesignationBase<SpecimenTypeDes
 	 * @see							#SpecimenTypeDesignation()
 	 * @see							TaxonNameBase#addSpecimenTypeDesignation(Specimen, SpecimenTypeDesignationStatus, Reference, String, String, boolean, boolean)
 	 * @see							TypeDesignationBase#isNotDesignated()
-	 * @see							eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase
+	 * @see							eu.etaxonomy.cdm.model.occurrence.DerivedUnit
 	 */
-	protected SpecimenTypeDesignation(DerivedUnitBase specimen, SpecimenTypeDesignationStatus status, Reference citation, String citationMicroReference, 
+	protected SpecimenTypeDesignation(DerivedUnit specimen, SpecimenTypeDesignationStatus status, Reference citation, String citationMicroReference, 
 			String originalNameString, boolean isNotDesignated) {
 		super(citation, citationMicroReference, originalNameString, isNotDesignated);
 		this.setTypeSpecimen(specimen);
@@ -149,19 +148,19 @@ public class SpecimenTypeDesignation extends TypeDesignationBase<SpecimenTypeDes
 	}
 	
 	/** 
-	 * Returns the {@link occurrence.DerivedUnitBase derived unit} (specimen or figure) that is used
+	 * Returns the {@link DerivedUnit.DerivedUnit derived unit} (specimen or figure) that is used
 	 * in <i>this</i> specimen type designation to typify the {@link TaxonNameBase taxon name}.
 	 *  
 	 * @see   #getHomotypicalGroup()
 	 */
-	public DerivedUnitBase getTypeSpecimen(){
+	public DerivedUnit getTypeSpecimen(){
 		return this.typeSpecimen;
 	}
 	
 	/**
 	 * @see  #getTypeSpecimen()
 	 */
-	public void setTypeSpecimen(DerivedUnitBase typeSpecimen){
+	public void setTypeSpecimen(DerivedUnit typeSpecimen){
 		if (this.typeSpecimen == typeSpecimen){
 			return;
 		}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignationStatus.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignationStatus.java
index 6f25cae8c4..f6c5a8e17f 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignationStatus.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/SpecimenTypeDesignationStatus.java
@@ -26,6 +26,7 @@ import org.apache.log4j.Logger;
 import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 
 /**
@@ -48,7 +49,6 @@ import eu.etaxonomy.cdm.model.common.TermVocabulary;
  * </ul>
  * 
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:07:00
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -85,13 +85,12 @@ public class SpecimenTypeDesignationStatus extends TypeDesignationStatusBase<Spe
 	private static final UUID uuidIsosyntype = UUID.fromString("052a5ff0-8e9a-4355-b24f-5e4bb6071f44");
 
 	
-	// ************* CONSTRUCTORS *************/	
-	/** 
-	 * Class constructor: creates a new empty type designation status instance.
-	 * 
-	 * @see 	#TypeDesignationStatus(String, String, String)
-	 */
-	public SpecimenTypeDesignationStatus() {
+//********************************** Constructor *********************************/	
+
+  	//for hibernate use only
+  	@Deprecated
+  	protected SpecimenTypeDesignationStatus() {
+		super(TermType.SpecimenTypeDesignationStatus);
 	}
 
 
@@ -108,8 +107,8 @@ public class SpecimenTypeDesignationStatus extends TypeDesignationStatusBase<Spe
 	 * 						 new type designation status to be created
 	 * @see 				 #TypeDesignationStatus()
 	 */
-	public SpecimenTypeDesignationStatus(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
+	private SpecimenTypeDesignationStatus(String term, String label, String labelAbbrev) {
+		super(TermType.SpecimenTypeDesignationStatus, term, label, labelAbbrev);
 	}
 	
 //************************** METHODS ********************************
@@ -135,7 +134,7 @@ public class SpecimenTypeDesignationStatus extends TypeDesignationStatusBase<Spe
 	 * Returns the boolean value indicating whether <i>this</i> type designation
 	 * status is itself "lectotype" or a kind of "lectotype" (true) or not
 	 * (false). Returns false if <i>this</i> type designation status is null.<BR>
-	 * A lectotype is a {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase specimen or illustration} designated as the
+	 * A lectotype is a {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnit specimen or illustration} designated as the
 	 * nomenclatural type, when no holotype was indicated at the time of
 	 * publication of the "type-bringing" {@link TaxonNameBase taxon name}, when the
 	 * holotype is found to be assigned to taxon names belonging to more than
@@ -168,7 +167,7 @@ public class SpecimenTypeDesignationStatus extends TypeDesignationStatusBase<Spe
 	
 	/**
 	 * Returns the "holotype" designation status. A holotype of a
-	 * set of names is the one {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase specimen or illustration}
+	 * set of names is the one {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnit specimen or illustration}
 	 * designated as the nomenclatural type by the {@link NonViralName#getCombinationAuthorTeam() author} of the
 	 * "type-bringing" {@link TaxonNameBase taxon name} (or by the author of a later validated
 	 * "invalid" taxon name).
@@ -181,7 +180,7 @@ public class SpecimenTypeDesignationStatus extends TypeDesignationStatusBase<Spe
 
 	/**
 	 * Returns the "lectotype" designation status. A lectotype is a
-	 * {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase specimen or illustration} designated as the nomenclatural type,
+	 * {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnit specimen or illustration} designated as the nomenclatural type,
 	 * when no holotype was indicated at the time of publication of the
 	 * "type-bringing" {@link TaxonNameBase taxon name}, when the
 	 * holotype is found to to be assigned to taxon names belonging to more than one
@@ -195,7 +194,7 @@ public class SpecimenTypeDesignationStatus extends TypeDesignationStatusBase<Spe
 
 	/**
 	 * Returns the "neotype" designation status. A neotype is a
-	 * {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase specimen or illustration} selected to serve as nomenclatural type
+	 * {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnit specimen or illustration} selected to serve as nomenclatural type
 	 * as long as all of the material on which the "type-bringing" {@link TaxonNameBase taxon name} was based
 	 * is missing. 
 	 * 
@@ -207,7 +206,7 @@ public class SpecimenTypeDesignationStatus extends TypeDesignationStatusBase<Spe
 
 	/**
 	 * Returns the "epitype" designation status. An epitype is a
-	 * {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase specimen or illustration} selected to serve as an interpretative type
+	 * {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnit specimen or illustration} selected to serve as an interpretative type
 	 * when the holotype, lectotype or previously designated neotype, or all
 	 * original material associated with the {@link NomenclaturalStatusType#VALID() validly} published "type-bringing"
 	 * {@link TaxonNameBase taxon name}, is demonstrably ambiguous and cannot be critically
@@ -308,7 +307,7 @@ public class SpecimenTypeDesignationStatus extends TypeDesignationStatusBase<Spe
 
 	/**
 	 * Returns the "second step lectotype" designation status. </BR>
-	 * A second step lectotype is a {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase specimen or illustration}, designated as lectotype
+	 * A second step lectotype is a {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnit specimen or illustration}, designated as lectotype
 	 * in order to substitute another already existing lectotype.
 	 * 
 	 * @see	#LECTOTYPE()
@@ -319,7 +318,7 @@ public class SpecimenTypeDesignationStatus extends TypeDesignationStatusBase<Spe
 
 	/**
 	 * Returns the "second step neotype" designation status. </BR>
-	 * A second step neotype is a {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase specimen or illustration}, designated as neotype
+	 * A second step neotype is a {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnit specimen or illustration}, designated as neotype
 	 * in order to substitute another already existing neotype.
 	 * 
 	 * @see	#LECTOTYPE()
@@ -351,7 +350,7 @@ public class SpecimenTypeDesignationStatus extends TypeDesignationStatusBase<Spe
 
 	/**
 	 * Returns the "iconotype" designation status. An iconotype is a holotype or
-	 * a lectotype that is a {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase drawing}
+	 * a lectotype that is a {@link eu.etaxonomy.cdm.model.occurrence.DerivedUnit drawing}
 	 * and not a {@link eu.etaxonomy.cdm.model.occurrence.Specimen specimen}.
 	 * "Iconotype" does not have type status according to the ICBN.
 	 * 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TaxonNameBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TaxonNameBase.java
index 3846fe5715..0e01a9c31e 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TaxonNameBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TaxonNameBase.java
@@ -55,7 +55,7 @@ import eu.etaxonomy.cdm.model.common.IRelated;
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.RelationshipBase;
 import eu.etaxonomy.cdm.model.description.TaxonNameDescription;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.reference.INomenclaturalReference;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.Synonym;
@@ -72,7 +72,6 @@ import eu.etaxonomy.cdm.strategy.merge.Merge;
 import eu.etaxonomy.cdm.strategy.merge.MergeMode;
 import eu.etaxonomy.cdm.strategy.parser.ParserProblem;
 import eu.etaxonomy.cdm.validation.Level2;
-import eu.etaxonomy.cdm.validation.annotation.NullOrNotEmpty;
 
 /**
  * The upmost (abstract) class for scientific taxon names regardless of any
@@ -113,7 +112,7 @@ import eu.etaxonomy.cdm.validation.annotation.NullOrNotEmpty;
 @Audited
 @Inheritance(strategy=InheritanceType.SINGLE_TABLE)
 @Table(appliesTo="TaxonNameBase", indexes = { @Index(name = "taxonNameBaseTitleCacheIndex", columnNames = { "titleCache" }),  @Index(name = "taxonNameBaseNameCacheIndex", columnNames = { "nameCache" }) })
-public abstract class TaxonNameBase<T extends TaxonNameBase<?,?>, S extends INameCacheStrategy> extends IdentifiableEntity<S> implements IReferencedEntity, IParsable, IRelated, IMatchable, Cloneable {
+public abstract class TaxonNameBase<T extends TaxonNameBase<?,?>, S extends INameCacheStrategy> extends IdentifiableEntity<S> implements IParsable, IRelated, IMatchable, Cloneable {
     private static final long serialVersionUID = -4530368639601532116L;
     private static final Logger logger = Logger.getLogger(TaxonNameBase.class);
 
@@ -122,7 +121,7 @@ public abstract class TaxonNameBase<T extends TaxonNameBase<?,?>, S extends INam
     @Match(value=MatchMode.CACHE, cacheReplaceMode=ReplaceMode.ALL)
     @CacheUpdate(noUpdate ="titleCache")
     @NotEmpty(groups = Level2.class)
-    @Size(max = 330)
+    @Size(max = 800)  //see #1592
     protected String fullTitleCache;
 
     //if true titleCache will not be automatically generated/updated
@@ -1105,9 +1104,9 @@ public abstract class TaxonNameBase<T extends TaxonNameBase<?,?>, S extends INam
      * @see 			  				SpecimenTypeDesignation
      * @see 			  				TypeDesignationBase#isNotDesignated()
      */
-    public SpecimenTypeDesignation addSpecimenTypeDesignation(Specimen typeSpecimen,
+    public SpecimenTypeDesignation addSpecimenTypeDesignation(DerivedUnit typeSpecimen,
                 SpecimenTypeDesignationStatus status,
-                Reference citation,
+                Reference<?> citation,
                 String citationMicroReference,
                 String originalNameString,
                 boolean isNotDesignated,
@@ -1205,17 +1204,6 @@ public abstract class TaxonNameBase<T extends TaxonNameBase<?,?>, S extends INam
 
 // *************************************************************************//
 
-    /**
-     * @see #getNomenclaturalReference()
-     */
-    @Override
-    @Transient
-    public Reference getCitation(){
-        //TODO What is the purpose of this method differing from the getNomenclaturalReference method?
-        logger.warn("getCitation not yet implemented");
-        return null;
-    }
-
     /**
      * Returns the complete string containing the
      * {@link eu.etaxonomy.cdm.model.reference.INomenclaturalReference#getNomenclaturalCitation() nomenclatural reference citation}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TypeDesignationBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TypeDesignationBase.java
index e7c3bad68a..539cbc11d9 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TypeDesignationBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TypeDesignationBase.java
@@ -51,7 +51,6 @@ import eu.etaxonomy.cdm.model.reference.Reference;
 @XmlRootElement(name = "TypeDesignationBase")
 @XmlType(name = "TypeDesignationBase", propOrder = {
     "typifiedNames",
-    "homotypicalGroup",
     "notDesignated",
     "typeStatus"
 })
@@ -79,12 +78,12 @@ public abstract class TypeDesignationBase<T extends TypeDesignationStatusBase> e
     @Cascade({CascadeType.SAVE_UPDATE})
     private Set<TaxonNameBase> typifiedNames = new HashSet<TaxonNameBase>();
 
-    @XmlElement(name = "HomotypicalGroup")
-    @XmlIDREF
-    @XmlSchemaType(name = "IDREF")
-    @ManyToOne(fetch = FetchType.LAZY)
-    @Cascade(CascadeType.SAVE_UPDATE)
-    private HomotypicalGroup homotypicalGroup;
+//    @XmlElement(name = "HomotypicalGroup")
+//    @XmlIDREF
+//    @XmlSchemaType(name = "IDREF")
+//    @ManyToOne(fetch = FetchType.LAZY)
+//    @Cascade(CascadeType.SAVE_UPDATE)
+//    private HomotypicalGroup homotypicalGroup;
 
     @XmlElement(name = "TypeStatus")
     @XmlIDREF
@@ -160,21 +159,22 @@ public abstract class TypeDesignationBase<T extends TypeDesignationStatusBase> e
         this.typeStatus = typeStatus;
     }
 
-    /* (non-Javadoc)
-     * @see eu.etaxonomy.cdm.model.name.ITypeDesignation#getHomotypicalGroup()
-     */
-    /**
-     * Returns the {@link HomotypicalGroup homotypical group} to which all (in <i>this</i>
-     * type designation) typified {@link TaxonNameBase taxon names} belong.
-     *
-     * @see   #getTypifiedNames()
-     * @deprecated homotypical group can not be set and always seems to be <code>null</code>.
-     * Probably it is a relict of an old version.
-     */
-    @Deprecated
-    public HomotypicalGroup getHomotypicalGroup() {
-        return homotypicalGroup;
-    }
+//    /* (non-Javadoc)
+//     * @see eu.etaxonomy.cdm.model.name.ITypeDesignation#getHomotypicalGroup()
+//     */
+//    /**
+//     * Returns the {@link HomotypicalGroup homotypical group} to which all (in <i>this</i>
+//     * type designation) typified {@link TaxonNameBase taxon names} belong.
+//     *
+//     * @see   #getTypifiedNames()
+//     * @deprecated homotypical group can not be set and always seems to be <code>null</code>.
+//     * Probably it is a relict of an old version.
+//     * See also http://dev.e-taxonomy.eu/trac/ticket/2173 
+//     */
+//    @Deprecated
+//    public HomotypicalGroup getHomotypicalGroup() {
+//        return homotypicalGroup;
+//    }
 
     /* (non-Javadoc)
      * @see eu.etaxonomy.cdm.model.name.ITypeDesignation#getTypifiedNames()
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TypeDesignationStatusBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TypeDesignationStatusBase.java
index 03de37a07f..bafe972465 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TypeDesignationStatusBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/TypeDesignationStatusBase.java
@@ -20,6 +20,7 @@ import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Indexed;
 
 import eu.etaxonomy.cdm.model.common.OrderedTermBase;
+import eu.etaxonomy.cdm.model.common.TermType;
 
 /**
  * The class representing status (categories) of {@link SpecimenTypeDesignation specimen type designations}
@@ -41,7 +42,6 @@ import eu.etaxonomy.cdm.model.common.OrderedTermBase;
  * </ul>
  *
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:07:00
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -56,16 +56,24 @@ import eu.etaxonomy.cdm.model.common.OrderedTermBase;
 // this is needed, otherwise the fields of the also abstract super class are missed during indexing
 @Indexed(index = "eu.etaxonomy.cdm.model.common.DefinedTermBase")
 public abstract class TypeDesignationStatusBase<T extends TypeDesignationStatusBase<?>> extends OrderedTermBase<T> {
+	private static final long serialVersionUID = -7204587330204725285L;
 	static Logger logger = Logger.getLogger(TypeDesignationStatusBase.class);
 
-	// ************* CONSTRUCTORS *************/
+
+//********************************** Constructor *********************************/	
+
+  	//for hibernate use only
+  	@Deprecated
+  	protected TypeDesignationStatusBase(){super(TermType.Unknown);};
+	
 	/**
 	 * Class constructor: creates a new empty type designation status instance.
 	 *
 	 * @see 	#NameTypeDesignationStatus(String, String, String)
 	 * @see 	#SpecimenTypeDesignationStatus(String, String, String)
 	 */
-	public TypeDesignationStatusBase() {
+	protected TypeDesignationStatusBase(TermType type) {
+		super(type);
 	}
 
 
@@ -83,7 +91,7 @@ public abstract class TypeDesignationStatusBase<T extends TypeDesignationStatusB
 	 * @see 				 #SnameTypeDesignationStatus()
 	 * @see 				 #SpecimenTypeDesignationStatus()
 	 */
-	public TypeDesignationStatusBase(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
+	protected TypeDesignationStatusBase(TermType type, String term, String label, String labelAbbrev) {
+		super(type, term, label, labelAbbrev);
 	}
 }
\ No newline at end of file
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/Collection.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/Collection.java
index 0fc2d87c02..c3444bf7bd 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/Collection.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/Collection.java
@@ -35,15 +35,18 @@ import org.hibernate.search.annotations.IndexedEmbedded;
 import org.hibernate.validator.constraints.Length;
 import org.springframework.beans.factory.annotation.Configurable;
 
+import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.model.agent.Institution;
 import eu.etaxonomy.cdm.model.media.IdentifiableMediaEntity;
 import eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.occurrence.CollectionDefaultCacheStrategy;
-import eu.etaxonomy.cdm.validation.annotation.NullOrNotEmpty;
 
 /**
+ * Instances of this class represent a collection for primary biodiversity data.
+ * Collections may be part of other collections and may belong to an institution.
+ * Collection inherits from 
+ * 
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:16
  */
 @XmlAccessorType(XmlAccessType.FIELD)
@@ -108,7 +111,8 @@ public class Collection extends IdentifiableMediaEntity<IIdentifiableEntityCache
 	@Cascade(CascadeType.SAVE_UPDATE)
 	private Collection superCollection;
 
-
+// ************** FACTORY METHODS *************************/
+	
 	/**
 	 * Factory method
 	 * @return
@@ -117,6 +121,8 @@ public class Collection extends IdentifiableMediaEntity<IIdentifiableEntityCache
 		return new Collection();
 	}
 
+// ******************** CONSTRUCTOR *************************/
+	
 	/**
 	 * Constructor
 	 */
@@ -125,75 +131,109 @@ public class Collection extends IdentifiableMediaEntity<IIdentifiableEntityCache
 		this.cacheStrategy = new CollectionDefaultCacheStrategy();
 	}
 
+// ******************* GETTER / SETTER ************************/	
+	
+	
+	
+	/**
+	 * The {@link Institution institution} this collection belongs to.
+	 * @see #getSuperCollection()
+	 * @return the institute
+	 */
 	public Institution getInstitute(){
 		return this.institute;
 	}
 
 	/**
-	 *
+	 * @see #getInstitute() 
 	 * @param institute    institute
 	 */
 	public void setInstitute(Institution institute){
 		this.institute = institute;
 	}
 
+	/**
+	 * The code for this collection. The standard this code belongs to
+	 * is given by the {@link #getCodeStandard() code standard}.
+	 * The code is NOT the {@link #getName()name} of the collection.
+	 * 
+	 * @see #getCodeStandard()
+	 * @see #getName()
+	 * @return the code
+	 */
 	public String getCode(){
 		return this.code;
 	}
 
 	/**
-	 *
-	 * @param code    code
+	 * @see #getCode()
+	 * @param code the code
 	 */
 	public void setCode(String code){
 		this.code = code;
 	}
 
+	/**
+	 * The standard used for the given {@link #getCode() collection code} 
+	 * @return the code standard
+	 */
 	public String getCodeStandard(){
 		return this.codeStandard;
 	}
 
 	/**
-	 *
+	 * @see #getCodeStandard()
+	 * @see #getCode()
 	 * @param codeStandard    codeStandard
 	 */
 	public void setCodeStandard(String codeStandard){
 		this.codeStandard = codeStandard;
 	}
 
+	/**
+	 * The name of this collection
+	 * @return the name
+	 */
 	public String getName(){
 		return this.name;
 	}
 
 	/**
-	 *
+	 * @see #getName()
 	 * @param name    name
 	 */
 	public void setName(String name){
 		this.name = name;
 	}
 
+	/**
+	 * The town or location where this collection is to be found.
+	 * @return the town or location
+	 */
 	public String getTownOrLocation(){
 		return this.townOrLocation;
 	}
 
 	/**
-	 *
+	 * @see #getTownOrLocation
 	 * @param townOrLocation    townOrLocation
 	 */
 	public void setTownOrLocation(String townOrLocation){
 		this.townOrLocation = townOrLocation;
 	}
 
-//	@Override
-//	public String generateTitle(){
-//		return "";
-//	}
-
+	/**
+	 * The collection <code>this</code> collection is part of.
+	 * @return
+	 */
 	public Collection getSuperCollection() {
 		return superCollection;
 	}
 
+	/**
+	 * @see #getSuperCollection()
+	 * @param superCollection
+	 */
 	public void setSuperCollection(Collection superCollection) {
 		this.superCollection = superCollection;
 	}
@@ -234,7 +274,7 @@ public class Collection extends IdentifiableMediaEntity<IIdentifiableEntityCache
 	@Override
 	public String toString() {
 		if (StringUtils.isNotBlank(code) || StringUtils.isNotBlank(name)){
-			return "Collection [id= "+ getId() +", + code=" + code + ", name=" + name + "]";
+			return "Collection [id= "+ getId() +", + code=" + CdmUtils.Nz(code) + ", name=" + CdmUtils.Nz(name) + "]";
 		}else{
 			return super.toString();
 		}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivationEvent.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivationEvent.java
index 2b128ba331..5f9dee1f62 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivationEvent.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/DerivationEvent.java
@@ -51,8 +51,8 @@ import eu.etaxonomy.cdm.model.common.EventBase;
 @Indexed
 @Audited
 public class DerivationEvent extends EventBase implements Cloneable{
-	
-	static Logger logger = Logger.getLogger(DerivationEvent.class);
+	private static final long serialVersionUID = 3661673673962819395L;
+	private static final Logger logger = Logger.getLogger(DerivationEvent.class);
 
 	@XmlElementWrapper(name = "Originals")
 	@XmlElement(name = "Original")
@@ -69,7 +69,7 @@ public class DerivationEvent extends EventBase implements Cloneable{
 	@XmlSchemaType(name = "IDREF")
 	@OneToMany(fetch=FetchType.LAZY, mappedBy="derivedFrom")
 	@Cascade({CascadeType.SAVE_UPDATE, CascadeType.MERGE})
-	protected Set<DerivedUnitBase> derivatives = new HashSet<DerivedUnitBase>();
+	protected Set<DerivedUnit> derivatives = new HashSet<DerivedUnit>();
 	
 	@XmlElement(name = "DerivationEventType")
     @XmlIDREF
@@ -102,7 +102,7 @@ public class DerivationEvent extends EventBase implements Cloneable{
 	 * Factory method
 	 * @return
 	 */
-	public static DerivationEvent NewSimpleInstance(SpecimenOrObservationBase original, DerivedUnitBase derivative, DerivationEventType type){
+	public static DerivationEvent NewSimpleInstance(SpecimenOrObservationBase original, DerivedUnit derivative, DerivationEventType type){
 		DerivationEvent result = NewInstance(type);
 		result.addOriginal(original);
 		result.addDerivative(derivative);
@@ -151,7 +151,7 @@ public class DerivationEvent extends EventBase implements Cloneable{
 	 * The specimen or observations that are the output for this derviation event.
 	 * @return
 	 */
-	public Set<DerivedUnitBase> getDerivatives() {
+	public Set<DerivedUnit> getDerivatives() {
 		return derivatives;
 	}
 	
@@ -161,7 +161,7 @@ public class DerivationEvent extends EventBase implements Cloneable{
 	 * @see #getDerivatives()
 	 * @return
 	 */
-	public void addDerivative(DerivedUnitBase derivative) {
+	public void addDerivative(DerivedUnit derivative) {
 		if (derivative != null){
 			boolean notExisting = derivatives.add(derivative);
 			if (notExisting){
@@ -174,7 +174,7 @@ public class DerivationEvent extends EventBase implements Cloneable{
 	 * @see #getDerivatives()
 	 * @return
 	 */
-	public void removeDerivative(DerivedUnitBase derivative) {
+	public void removeDerivative(DerivedUnit derivative) {
 		if (derivative != null){
 			derivative.setDerivedFrom(null);
 		}
@@ -211,8 +211,8 @@ public class DerivationEvent extends EventBase implements Cloneable{
 			//type
 			result.setType(this.getType());
 			//derivates
-			result.derivatives = new HashSet<DerivedUnitBase>();
-			for(DerivedUnitBase derivative : this.derivatives) {
+			result.derivatives = new HashSet<DerivedUnit>();
+			for(DerivedUnit derivative : this.derivatives) {
 				result.addDerivative(derivative);
 			}
 			//originals
